<?php 

class log_user extends CI_Controller{

	function __construct(){
		parent::__construct();
	 	$this->load->model('m_kontak');/* sesuaikan dengan nama file pada model */
		$this->load->model('m_login'); 
		$this->load->model('m_admin'); 
		$this->load->model('m_kantor');
		$this->load->model('m_log'); 
		$this->load->library('session');
		$this->load->library('upload');
		 
		$this->load->helper(array('form', 'url','tanggal'));
		if($this->session->userdata('status') != "loginbro"  and empty($this->session->userdata('email')) ){
			$this->session->set_flashdata('msg','<div class="alert alert-danger alert-dismissible">
						<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
						<strong> Admin Bukan Admin </strong>Ulangi Kembali
						</div> ');

			redirect(base_url("")); 
			
		}
	 
	 
	}

	 
	function index(){		
		$data['title1'] = 'Data Katagori Log user'; 	
		$data['title2'] = 'Ubah Data'; 	
		$data['title3'] = 'Tambah Data';
		$data['title4'] = 'Log user';
		$data['kontak'] = $this->m_kontak->kontak();
		$data['kantor'] = $this->m_kantor->kantor();
		$data['admin'] = $this->m_admin->data_admin(); 
		$data['admin_login'] = $this->m_admin->data_admin_login();  
		$data['log'] = $this->m_log->log(); 
		 
	
		$this->load->view('master/header',$data); 
		$this->load->view('master/log/v_log');
		$this->load->view('master/footer',$data); 
	}
	 
	public function code_hapus(){
		$id = $this->input->post('id');  
		 
	    $this->db->delete('tb_log', array('id_log' => $id)); 
	  	$this->session->set_flashdata('msg','success-hapus');
	    redirect('log');
		
	}
	 
	public function code_tambah()
	{	 
		$data=array(
			'id_log'=>  null,
			'nama_log'=> $this->input->post('nama_log'),
			'url_log'=> url_title($this->input->post('nama_log')),
			'nama_petugas'=> $this->input->post('nama_petugas'),
			'alamat'=> $this->input->post('alamat'),
			'no_hp'=> $this->input->post('no_hp'),
			 
		);

		$this->db->insert('tb_log',$data);
		$this->session->set_flashdata('msg','success');
		redirect('log');


 
        
        
    }  
     
	public function code_ubah() {
      
        
    	$data=array(
    	 
    		'nama_log'=> $this->input->post('nama_log'),
			'url_log'=> url_title($this->input->post('nama_log')),
			'nama_petugas'=> $this->input->post('nama_petugas'),
			'alamat'=> $this->input->post('alamat'),
			'no_hp'=> $this->input->post('no_hp'),


    	);

    	$this->db->where('id_log',$this->input->post('id'));
        $this->db->update('tb_log',$data);
        $this->session->set_flashdata('msg','success-edit');
    	redirect('log');
	 
	} 
	 
}